version: "3.8"

services:
  adimsayar-backend:
    build:
      context: .
      dockerfile: Dockerfile.prod
    ports:
      - "8000:8000"
    env_file:
      - .env.prod
    environment:
      MYSQL_HOST: "91.191.173.173"
      ACCESS_TOKEN_EXPIRE_MINUTES: "43200"
      TIMEZONE: "Europe/Istanbul"
      AWS_ACCESS_KEY_ID: ""
      AWS_SECRET_ACCESS_KEY: ""
      AWS_S3_BUCKET: ""
      AWS_S3_ENDPOINT_URL: ""
      FIREBASE_SERVICE_ACCOUNT_PATH: "/app/app/firebase-service-account.json"
    volumes:
      - /var/www/adimsayar.easerver.net/htdocs/storage:/var/www/adimsayar.easerver.net/htdocs/storage
      - ./app/firebase-service-account.json:/app/app/firebase-service-account.json
    restart: always
    network_mode: "host"
